{% load static %}
<!DOCTYPE html>
<html>
<head>

	 <!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="{% static 'blog/main.css' %}">
	{% if title %}
		<title>Django-Blog-{{title}}</title>
	{% else %}
		<title>Django-Blog</title>
	{% endif %}
</head>
<body>
	<header class="site-header">
  		<nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
    		<div class="container">
      			<a class="navbar-brand mr-4" href="{% url 'blog-home' %}">Django Blog</a>
      			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle" aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
      			<span class="navbar-toggler-icon"></span>
      			</button>
      			<div class="collapse navbar-collapse" id="navbarToggle">
        			<div class="navbar-nav me-auto">
          				<a class="nav-item nav-link" href="{% url 'blog-home' %}">Home</a>
          				<a class="nav-item nav-link" href="{% url 'blog-about' %}">About</a>
        			</div>
        			
        			 <div class="navbar-nav">
        			 	{% if user.is_authenticated %}
        			 		<a class="nav-item nav-link" href="{% url 'post-create' %}">New Post</a>
        			 		<a class="nav-item nav-link" href="{% url 'profile' %}">Profile</a>
        			 		<a class="nav-item nav-link" href="{% url 'logout' %}">Logout</a>
        				{% else %}
        					<a class="nav-item nav-link" href="{% url 'login' %}">Login</a>
        					<a class="nav-item nav-link" href="{% url 'register' %}">Register</a>
				        {% endif %}    
				     </div>
      			</div>
    		</div>
  		</nav>
	</header>
	
	<main role="main" class="container">
	  <div class="row">
	    <div class="col-md-8">
	    	{% if messages %}
            	{% for message in messages %}
              	<div class="alert alert-{{ message.tags }}">
                	{{ message }}
              	</div>
            	{% endfor %}
          	{% endif %}
          	{% block content %}{% endblock %}
        </div>
	    <div class="col-md-4">
	      <div class="content-section">
	        <h3>Our Sidebar</h3>
	        <p class='text-muted'>You can put any information here you'd like.
	          <ul class="list-group">
	            <li class="list-group-item list-group-item-light">Latest Posts</li>
	            <li class="list-group-item list-group-item-light">Announcements</li>
	            <li class="list-group-item list-group-item-light">Calendars</li>
	            <li class="list-group-item list-group-item-light">etc</li>
	          </ul>
	        </p>
	      </div>
	    </div>
	  </div>
	</main>
	<!-- Optional JavaScript; choose one of the two! -->

	<!-- Option 1: Bootstrap Bundle with Popper -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

	<!-- Option 2: Separate Popper and Bootstrap JS -->
	<!--
	<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
	-->

</body>
</html>